package com.yihu.hos.system.model;

import java.util.List;

/**
 *  系统管理-服务流程
 * @author HZY
 * @vsrsion 1.0
 * Created at 2016/8/19.
 */
public class SystemServiceFlow implements java.io.Serializable {
    private Integer id;
    private String code;
    private String name;
    private String path;//流程路径
    private String chart;//流程图路径
    private Integer valid;
    private String createDate;

    private String flowClassList;
    private List<SystemServiceFlowClass> flowClassArray;

    public String getFlowClassList() {
        return flowClassList;
    }

    public void setFlowClassList(String flowClassList) {
        this.flowClassList = flowClassList;
    }

    public List<SystemServiceFlowClass> getFlowClassArray() {
        return flowClassArray;
    }

    public void setFlowClassArray(List<SystemServiceFlowClass> flowClassArray) {
        this.flowClassArray = flowClassArray;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getChart() {
        return chart;
    }

    public void setChart(String chart) {
        this.chart = chart;
    }

    public Integer getValid() {
        return valid;
    }

    public void setValid(Integer valid) {
        this.valid = valid;
    }

    public String getCreateDate() {
        return createDate;
    }

    public void setCreateDate(String createDate) {
        this.createDate = createDate;
    }
}
